As APIs na versão /beta no Microsoft Graph estão sujeitas a alterações. Não há suporte para o uso dessas APIs em aplicativos de produção. Para determinar se uma API está disponível na v1.0, use o seletor de versão.
POST https://graph.microsoft.com/beta/teams/871dbd5c-3a6a-4392-bfe1-042452793a50/schedule/timecards
Content-type: application/json
{
"onBehalfOfUserId":"a3601044-a1b5-438e-b742-f78d01d68a67",
"clockInEvent":{
"dateTime":"2019-03-18T00:00:00.000Z",
"atApprovedLocation":true,
"notes": {
"content": "Started late due to traffic in CA 237",
"contentType": "text"
},
},
"notes":{
"content": "8 To 5 Inventory management",
"contentType": "text"
},
"breaks":[
{
"breakId": "string",
"notes":{
"content": "Lunch break",
"contentType": "text"
},
"start":{
"dateTime":"2019-03-18T02:00:00.000Z",
"atApprovedLocation":true,
"notes": {
"content": "Reduced break to make up for lost time",
"contentType": "text"
},
}
}
]
}
const options = {
authProvider,
};
const client = Client.init(options);
const timeCard = {
onBehalfOfUserId: 'a3601044-a1b5-438e-b742-f78d01d68a67',
clockInEvent: {
dateTime: '2019-03-18T00:00:00.000Z',
atApprovedLocation: true,
notes: {
content: 'Started late due to traffic in CA 237',
contentType: 'text'
},
},
notes: {
content: '8 To 5 Inventory management',
contentType: 'text'
},
breaks: [
{
breakId: 'string',
notes: {
content: 'Lunch break',
contentType: 'text'
},
start: {
dateTime: '2019-03-18T02:00:00.000Z',
atApprovedLocation: true,
notes: {
content: 'Reduced break to make up for lost time',
contentType: 'text'
},
}
}
]
};
await client.api('/teams/871dbd5c-3a6a-4392-bfe1-042452793a50/schedule/timecards')
.version('beta')
.post(timeCard);
Importante
Os SDKs do Microsoft Graph usam a versão v1.0 da API por padrão e não dão suporte a todos os tipos, propriedades e APIs disponíveis na versão beta. Para obter detalhes sobre como acessar a API beta com o SDK, consulte Usar os SDKs do Microsoft Graph com a API beta.
Os SDKs do Microsoft Graph usam a versão v1.0 da API por padrão e não dão suporte a todos os tipos, propriedades e APIs disponíveis na versão beta. Para obter detalhes sobre como acessar a API beta com o SDK, consulte Usar os SDKs do Microsoft Graph com a API beta.
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewTimeCard()
clockInEvent := msgraphsdk.NewTimeCardEvent()
requestBody.SetClockInEvent(clockInEvent)
dateTime, err := time.Parse(time.RFC3339, "2019-03-18T00:00:00.000Z")
clockInEvent.SetDateTime(&dateTime)
atApprovedLocation := true
clockInEvent.SetAtApprovedLocation(&atApprovedLocation)
notes := msgraphsdk.NewItemBody()
clockInEvent.SetNotes(notes)
content := "Started late due to traffic in CA 237"
notes.SetContent(&content)
contentType := "text"
notes.SetContentType(&contentType)
notes := msgraphsdk.NewItemBody()
requestBody.SetNotes(notes)
content := "8 To 5 Inventory management"
notes.SetContent(&content)
contentType := "text"
notes.SetContentType(&contentType)
requestBody.SetBreaks( []TimeCardBreak {
msgraphsdk.NewTimeCardBreak(),
breakId := "string"
SetBreakId(&breakId)
notes := msgraphsdk.NewItemBody()
SetNotes(notes)
content := "Lunch break"
notes.SetContent(&content)
contentType := "text"
notes.SetContentType(&contentType)
start := msgraphsdk.NewTimeCardEvent()
SetStart(start)
dateTime, err := time.Parse(time.RFC3339, "2019-03-18T02:00:00.000Z")
start.SetDateTime(&dateTime)
atApprovedLocation := true
start.SetAtApprovedLocation(&atApprovedLocation)
notes := msgraphsdk.NewItemBody()
start.SetNotes(notes)
content := "Reduced break to make up for lost time"
notes.SetContent(&content)
contentType := "text"
notes.SetContentType(&contentType)
}
requestBody.SetAdditionalData(map[string]interface{}{
"onBehalfOfUserId": "a3601044-a1b5-438e-b742-f78d01d68a67",
}
teamId := "team-id"
result, err := graphClient.TeamsById(&teamId).Schedule().TimeCards().Post(requestBody)
Importante
Os SDKs do Microsoft Graph usam a versão v1.0 da API por padrão e não dão suporte a todos os tipos, propriedades e APIs disponíveis na versão beta. Para obter detalhes sobre como acessar a API beta com o SDK, consulte Usar os SDKs do Microsoft Graph com a API beta.
Import-Module Microsoft.Graph.Teams
$params = @{
OnBehalfOfUserId = "a3601044-a1b5-438e-b742-f78d01d68a67"
ClockInEvent = @{
DateTime = [System.DateTime]::Parse("2019-03-18T00:00:00.000Z")
AtApprovedLocation = $true
Notes = @{
Content = "Started late due to traffic in CA 237"
ContentType = "text"
}
}
Notes = @{
Content = "8 To 5 Inventory management"
ContentType = "text"
}
Breaks = @(
@{
BreakId = "string"
Notes = @{
Content = "Lunch break"
ContentType = "text"
}
Start = @{
DateTime = [System.DateTime]::Parse("2019-03-18T02:00:00.000Z")
AtApprovedLocation = $true
Notes = @{
Content = "Reduced break to make up for lost time"
ContentType = "text"
}
}
}
)
}
New-MgTeamScheduleTimeCard -TeamId $teamId -BodyParameter $params
Importante
Os SDKs do Microsoft Graph usam a versão v1.0 da API por padrão e não dão suporte a todos os tipos, propriedades e APIs disponíveis na versão beta. Para obter detalhes sobre como acessar a API beta com o SDK, consulte Usar os SDKs do Microsoft Graph com a API beta.